Package ghidra.trace.database.symbol

# Class DBTraceEquateSpace.DBTraceEquateReference

java.lang.Object
ghidra.program.database.DatabaseObject
ghidra.util.database.DBAnnotatedObject
ghidra.util.database.spatial.DBTreeRecord<TraceAddressSnapRange,TraceAddressSnapRange>
ghidra.util.database.spatial.DBTreeDataRecord<TraceAddressSnapRange,TraceAddressSnapRange,DBTraceEquateSpace.DBTraceEquateReference>
ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData<DBTraceEquateSpace.DBTraceEquateReference>
ghidra.trace.database.symbol.DBTraceEquateSpace.DBTraceEquateReference

All Implemented Interfaces:
  `TraceAddressSnapRange`, `BoundedShape<TraceAddressSnapRange>`, `BoundingShape<TraceAddressSnapRange>`, `Rectangle2D<Address,Long,TraceAddressSnapRange>`

Enclosing class:
  `DBTraceEquateSpace`

protected static class DBTraceEquateSpace.DBTraceEquateReference extends DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData<DBTraceEquateSpace.DBTraceEquateReference>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.util.database.spatial.DBTreeDataRecord

  `DBTreeDataRecord.RecordEntry<DS extends BoundedShape<NS>,NS extends BoundingShape<NS>,T>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final DBTraceEquateSpace`
  `space`

  ### Fields inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData

  `lifespan, range, tree`

  ### Fields inherited from class ghidra.program.database.DatabaseObject

  `key`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceEquateReference(DBTraceEquateSpace space, DBTraceAddressSnapRangePropertyMapTree<DBTraceEquateSpace.DBTraceEquateReference,?> tree, DBCachedObjectStore<?> store, DBRecord record)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DBTraceEquateSpace.DBTraceEquateReference`
  `getRecordValue()`
  Get the value of this record Note that the value is sometimes the record itself, i.e., this method returns `this`.
  `protected void`
  `setLifespan(Lifespan lifespan)`
  `protected void`
  `setRecordValue(DBTraceEquateSpace.DBTraceEquateReference value)`
  Set the value of this record Note that the value is sometimes the record itself.
  `static String`
  `tableName(AddressSpace space)`

  ### Methods inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData

  `doSetLifespan, doSetRange, equals, fresh, getBounds, getLifespan, getParentKey, getRange, getShape, getSpace, hashCode, setParentKey, setShape, shapeEquals`

  ### Methods inherited from class ghidra.util.database.spatial.DBTreeDataRecord

  `asEntry, getDataCount, toString`

  ### Methods inherited from class ghidra.util.database.DBAnnotatedObject

  `doRefresh, doUpdateAll, doUpdated, doWrite, getObjectKey, getTableName, isDeleted, refresh, refresh, update, update, update, update`

  ### Methods inherited from class ghidra.program.database.DatabaseObject

  `checkDeleted, checkIsValid, checkIsValid, getKey, isDeleted, isInvalid, keyChanged, setDeleted, setInvalid, validate`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.database.spatial.rect.Rectangle2D

  `computeAreaIntersection, computeAreaUnionBounds, computeCentroidDistance, contains, contains, doEquals, doHashCode, enclosedBy, encloses, getArea, getCenter, getMargin, intersection, intersects, unionBounds`

  ### Methods inherited from interface ghidra.trace.model.TraceAddressSnapRange

  `description, getX1, getX2, getY1, getY2, immutable`

- ## Field Details

  - ### space

    protected final DBTraceEquateSpace space

- ## Constructor Details

  - ### DBTraceEquateReference

    public DBTraceEquateReference(DBTraceEquateSpace space, DBTraceAddressSnapRangePropertyMapTree<DBTraceEquateSpace.DBTraceEquateReference,?> tree, DBCachedObjectStore<?> store, DBRecord record)

- ## Method Details

  - ### tableName

    public static String tableName(AddressSpace space)

  - ### setRecordValue

    protected void setRecordValue(DBTraceEquateSpace.DBTraceEquateReference value)
    Description copied from class: `DBTreeDataRecord`
    Set the value of this record Note that the value is sometimes the record itself. In this case, this method expects `value` to be `null` and does nothing. See `SpatialMap.put(BoundedShape, Object)` for more details of this pattern.
    Specified by:
      `setRecordValue` in class `DBTreeDataRecord<TraceAddressSnapRange,TraceAddressSnapRange,DBTraceEquateSpace.DBTraceEquateReference>`
    Parameters:
      `value` - the record's new value

  - ### getRecordValue

    protected DBTraceEquateSpace.DBTraceEquateReference getRecordValue()
    Description copied from class: `DBTreeDataRecord`
    Get the value of this record Note that the value is sometimes the record itself, i.e., this method returns `this`. See `SpatialMap.put(BoundedShape, Object)` for more details of this pattern.
    Specified by:
      `getRecordValue` in class `DBTreeDataRecord<TraceAddressSnapRange,TraceAddressSnapRange,DBTraceEquateSpace.DBTraceEquateReference>`
    Returns:
      the record's value

  - ### setLifespan

    protected void setLifespan(Lifespan lifespan)